<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Request-History</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.3.0/css/font-awesome.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="../dist/css/pages/asset.css" type="text/css" />
</head>

<body>
    <div class="sidenav leftSidebar expandedNav">
        <!-- for leftSidebar sidebar.js -->
    </div>
    <nav class="navbar-header">
        <!-- for topnavigation bar topbar.js -->
    </nav>
    <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Assets</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">MY ASSETS</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                </ul>


                <div class="toggleSideBar">
                    <ul>
                        <li>
                            <a href="#" class="togglePopup" id="toggleRightSidebar">
                                <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M7.92917 4.4625V4.9625H8.42917H11.8917V10.2H12.8917V4.9625V4.4625L12.3917 3.9625L10.4125 1.98333L8.92917 0.5L8.42917 0H7.92917H6.44583H2C0.89543 0 0 0.89543 0 2V13.8667C0 14.9712 0.895431 15.8667 2 15.8667H3.4V14.8667H2C1.44772 14.8667 1 14.419 1 13.8667V2C1 1.44772 1.44772 1 2 1H6.44583H7.92917V4.4625ZM9.70539 2.69044L8.92917 1.91421V3.9625H10.9775L9.70539 2.69044Z" fill="#869094"/>
                                    <rect x="6.7998" y="6.80005" width="1.13333" height="3.4" fill="#869094"/>
                                    <rect x="3.40039" y="4.53345" width="1.13333" height="5.66667" fill="#869094"/>
                                    <path d="M10.3067 14.1666C10.314 14.4872 10.0809 14.7437 9.78953 14.7357C9.50547 14.7357 9.27239 14.4792 9.27239 14.1666C9.27239 12.6036 10.4268 11.3333 11.8472 11.3333L14.4256 11.3333C15.8459 11.3333 17.0003 12.6036 17.0003 14.1666C17.0003 15.7295 15.8459 16.9999 14.4256 16.9999H13.3403C13.6426 16.6753 13.8939 16.2946 14.0759 15.8698L14.4219 15.8658C15.2777 15.8698 15.9697 15.1084 15.966 14.1666C15.9697 13.2248 15.2777 12.4634 14.4219 12.4674H11.8508C10.995 12.4634 10.303 13.2248 10.3067 14.1666ZM12.8778 13.5975C13.1618 13.5975 13.3949 13.854 13.3949 14.1666C13.3949 15.7295 12.2405 16.9999 10.8202 16.9999H8.24176C6.82145 16.9999 5.66699 15.7295 5.66699 14.1666C5.66699 12.6036 6.82145 11.3333 8.24176 11.3333L9.32702 11.3333C9.02475 11.6579 8.77346 12.0386 8.58773 12.4674H8.2454C7.38957 12.4634 6.69763 13.2248 6.70127 14.1666C6.69763 15.1084 7.38957 15.8698 8.2454 15.8658H10.8165C11.6723 15.8698 12.3643 15.1084 12.3607 14.1666C12.3534 13.846 12.5864 13.5895 12.8778 13.5975Z" fill="#869094"/>
                                    </svg>
                                     Reports &
                                Links
                                <img class="angle pr-0" src="../dist/images/angledown.png" alt="user">
                            </a>
                            <div class="popup" id="toggledivSidebar">
                                <div class="rightSidebar">
                                    <div class="reportsLinks mt-2">
                                        <h3 class="reports">Reports</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                My Assets</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                Team Assets</a>
                                        </p>
                                    </div>
                                    <div class="relatedLinks mt-4">
                                        <h3>Related Links</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/pdf.png" alt="pdf">
                                                View Policy</a>
                                        </p>


                                    </div>

                                </div>
                            </div>
                        </li>
                    </ul>

                </div>
            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                       <h3>
                                            My Asset Requisitions
                                   </h3>
                                    </div>
                                    <div>
                                      <button class="oct-btn oct-btn-success"> <a href="#"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                                viewBox="0 0 128 128" style="enable-background:new 0 0 128 128;" xml:space="preserve">
                                           <g id="_x32_8">
                                               <path style="fill-rule:evenodd;clip-rule:evenodd;fill:#ffffff;" d="M127.839,70.187h-57.66v57.745H57.822V70.187H0.161V57.814
                                                   h57.661V0.068h12.357v57.746h57.66V70.187z"/>
                                           </g>
                                           <g id="Layer_1">
                                           </g>
                                           </svg> New Asset Request</a></button>
                                        
                                    </div>
                                </div>

                                <div class="table-responsive table-striped table-hover">
                                    <table class="innerTable assetButtons">
                                        <tr>
                                            <th class="trHead">Request No.</th>
                                            <th class="trHead">Requested Type</th>
                                            <th class="trHead">Requested Date</th>
                                            <th class="trHead">Asset Type</th>
                                            <th class="trHead">Asset Name</th>
                                            <th class="trHead">Configuration</th>
                                            <th class="trHead">Status</th>
                                            <th class="trHead">Approval</th>
                                            <th class="trHead thSeven">Action</th>
                                        </tr>

                                        <tr>
                                            <td><a href="#cancelRequestNo" rel="modal:open">TR18/0158</a></td>
                                            <td>New</td>
                                            <td>Mar 12</td>
                                            <td>Mouse</td>
                                            <td>Logitech M170</td>
                                            <td>M170 Wireless</td>
                                            <td>Open</td>
                                            <td><a href="#approvalStatus" rel="modal:open">Pending</a></td>
                                            <td class="actionButton dropBtn">
                                                <a href="#cancelRequest" rel="modal:open">Cancel</a>
                                        </tr>
                                        <tr>
                                            <td><a href="#acknowledgeRequest" rel="modal:open">TR18/0159</a></td>
                                            <td>Upgrade</td>
                                            <td>Mar 11</td>
                                            <td>Computer</td>
                                            <td>Lenovo Y530</td>
                                            <td>8gb RAM, 1tb hd...</td>
                                            <td>Closed</td>
                                            <td><a href="#approvalStatus" rel="modal:open">Approved</a></td>
                                            <td class="actionButton enrollBtn">
                                                <a href="#acknowledgeRequest" rel="modal:open">Acknowledge</a>
                                            </td>
                                        </tr>

                                        <tr>
                                            <td><a href="#returnRequest" rel="modal:open">TR18/0160</a></td>
                                            <td>New</td>
                                            <td>Feb 18</td>
                                            <td>Phone</td>
                                            <td>Moto G5</td>
                                            <td>4gb RAM, 32gb h...</td>
                                            <td>Closed</td>
                                            <td><a href="#approvalStatus" rel="modal:open">Pending</a></td>
                                            <td class="actionButton enrollBtn">
                                                <a href="#returnRequest" rel="modal:open">Return</a>
                                            </td>
                                        </tr>

                                    </table>

                                </div>


                            </div>

                        </div>
                    </div>
                    <!-- / tabs_item -->
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <h3 class="detailLearn">Pending Approvals</h3>
                                    </div>

                                </div>

                                <div class="table-responsive table-striped table-striped table-hover">
                                    <table class="innerTable">
                                        <tr>
                                            <th class="trHead tableCheckbox"><input type="checkbox" class="case" id="selectall" />
                                            </th>
                                            <th class="trHead">Request No.</th>
                                            <th class="trHead">Requested By</th>
                                            <th class="trHead">Requested Date</th>
                                            <th class="trHead">Asset Type</th>
                                            <th class="trHead">Asset Name</th>
                                            <th class="trHead">Configuration</th>
                                            <th class="trHead">Reason</th>
                                        </tr>
                                        <tr>
                                            <td><input type="checkbox"  onclick="onCheck();"  class="case" name="case"
                                                    value="12" /></td>
                                            <td><a href="#cancelRequestNo2" rel="modal:open">TR18/00001158</a></td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../dist/images/sachin.png"
                                                            alt="sachin_user">Sachin Shah</span></a>
                                            </td>
                                            <td>
                                                Mar 12
                                            </td>
                                            <td>Mouse</td>
                                            <td>Logitech M170</td>
                                            <td>M170 Wireless</td>
                                            <td>Need one for graphic design</td>

                                        </tr>
                                        <tr>
                                            <td><input type="checkbox" onclick="onCheck();" class="case" name="case"
                                                    value="22" /></td>
                                            <td><a href="#">TR18/00001158</a></td>
                                            <td>
                                                <a href="#">
                                                    <span class="user_review"><img src="../dist/images/amik.png"
                                                            alt="amik_user">Amik
                                                            Desai</span></a>
                                            </td>
                                            <td>
                                                Mar 6
                                            </td>
                                            <td>Computer</td>
                                            <td>Lenovo Y530</td>
                                            <td>8gb RAM, 1tb hd...</td>
                                            <td>Current device lags a lot.</td>
                                        </tr>
                                    </table>
                                </div>
                                <div class="mt-4">
                                <a href="#learningApprove1" rel="modal:open"><button
                                        class="oct-btn oct-btn-primary" disabled id="approve">Approve</button></a>
                                <a href="#learningreject" rel="modal:open"> <button
                                        class="oct-btn oct-btn-outline" disabled id="reject">Reject</button>
</a>
</div>
                            </div>

                        </div>
                    </div>
                    <!-- / tabs_item -->
                </div>
                <!-- / tab_content -->
            </div>
            <!-- / tab -->
        </div>
    </div>

    <div id="cancelRequest" class="modal userReviewspopup">

        <!-- userHistory popup model content-->
        <div class="userheader">
            <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                    M170</a></span>
        </div>

        <div class="approvalPopup">
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST NO<span>LV18/00001158</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST FOR<span>New Asset</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET TYPE<span>Mouse</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET NAME<span>Logitech M170</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>CONFIGURATION<span>M170 Wireless</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>S/N<span>1846HS0A9L68</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>P/N<span>810-005640
                        </span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                            that.</span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>STATUS<span>Open</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>APPROVAL<span>Pending
                        </span></p>
                </div>
            </div>
            <div class="row ml-0 mt-4 closeBtn d-flex align-items-center">
                <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mr-3">Cancel
                    Request</button>
                <a href="#close-modal" rel="modal:close">Close</a>
            </div>
        </div>
    </div>
    <div id="acknowledgeRequest" class="modal userReviewspopup">
        <!-- userHistory popup model content-->
        <div class="userheader">
            <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                    M170</a></span>
        </div>
        <div class="approvalPopup">
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST NO<span>LV18/00001158</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST FOR<span>New Asset</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET TYPE<span>Mouse</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET NAME<span>Logitech M170</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>CONFIGURATION<span>M170 Wireless</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>S/N<span>1846HS0A9L68</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>P/N<span>810-005640
                        </span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                            that.</span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>STATUS<span>Open</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>APPROVAL<span>Pending
                        </span></p>
                </div>
            </div>
            <div class="row">
                <div style="line-height: 15px;" class="col-md-12 col-sm-12 col-xs-12 mb-4">
                    <span style="font-size: 12px;">This is to confirm that the below mentioned asset with details mentioned as under has been
                        handed over to me for use during the course of discharge of my duties here.</span>
                </div>
                <div style="line-height: 15px;" class="col-md-12 col-sm-12 col-xs-12">
                    <span style="font-size: 12px;">The above is the property of ESPL to be returned back as and when required by the management.
                        I also accept the custody of the above mentioned property of Embee Software Pvt Ltd and assure
                        that all due care and diligence will be exercised by me
                        while using the asset entrusted in my care.</span>
                </div>
            </div>
            <div class="row marginNone closeBtn mt-5 align-items-center">
                <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mt-0 mr-3">Acknowledge</button>
                <a href="#close-modal" rel="modal:close">Close</a>

            </div>
        </div>
    </div>
    <div id="approvalStatus" class="modal userReviewspopup" style="max-width: 600px !important;">
            <!-- userHistory popup model content-->
            <div class="userheader">
               <span class="TCPopupHeading">Approval Status</span>
            </div>
      
         </div>
    <div id="returnRequest" class="modal userReviewspopup">
        <!-- userHistory popup model content-->
        <div class="userheader">
            <span class="TCPopupHeading">Asset Requisition Details - <a href="#" class="popupHeading">Logitech
                    M170</a></span>
        </div>
        <div class="approvalPopup">
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST NO<span>LV18/00001158</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST DATE<span>4:08pm - Jan 24, 2019</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>REQUEST FOR<span>New Asset</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET TYPE<span>Mouse</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>ASSET NAME<span>Logitech M170</span></p>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>CONFIGURATION<span>M170 Wireless</span></p>
                </div>

            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>S/N<span>1846HS0A9L68</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>P/N<span>810-005640
                        </span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <p>REASON<span>My work requires me to have free hand use of application, so need a mouse for
                            that.</span></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>STATUS<span>Open</span></p>

                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <p>APPROVAL<span>Pending
                        </span></p>
                </div>
            </div>
            <div class="row marginNone closeBtn d-flex align-items-center justify-content-between">
                <div class="mt-4">
                    <button type="button" id="submitBtn" class="oct-btn oct-btn-primary mt-0">Upgrade</button>
                    <button type="button" id="submitBtn" class="oct-btn oct-btn-outline mt-0">Repair</button>
                </div>
                <button type="button" id="submitBtn" class="oct-btn oct-btn-dark mt-4">Return</button>
            </div>
        </div>
    </div>
    <div style="width: auto !important;" id="learningreject" class="modal octanePopup">
   
            <h4>Reject</h4>



            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Reason for rejection <span
                                class="mandatorySign">*</span></label>
                        <textarea  class="mandatory" name="reason" id="reason" cols="75" rows="5"
                            placeholder="Please state the reason for rejecting the request"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                <button onclick="formValidations('learningreject');" type="button" id="approveBtn" class="oct-btn oct-btn-primary mt-0">Submit</button>
                    <button  class="clearButton mt-1" type="button"  onclick="clearForm('learningreject','yes');">Clear</button>
    
                </div>

            </div>
    </div>
    <div style="width: auto !important;" id="learningApprove1" class="modal octanePopup">
               <h4>Approve</h4>

            <div class="form-group">
                <div class="row marginNone">
                    <div class="fields">
                        <label class="labelGroup mt-4">Description</label>
                        <textarea class="mandatory" name="desc" id="desc" cols="75" rows="5"
                            placeholder="Please enter comments"></textarea>
                    </div>
                </div>


                <div class="row marginNone closeBtn mt-4">
                    <button onclick="formValidations('learningApprove1');" type="button" id="approveBtn" class="oct-btn oct-btn-primary mt-0">Submit</button>
                     <button  class="clearButton mt-1" type="button"   onclick="clearForm('learningApprove1','yes');">Clear</button>
                </div>

            </div>
    </div>

    <div id="cancelRequestNo" class="modal userReviewspopup">

            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Attendance Details</span>
            </div>
      
            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>
      
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST TYPE<span>New</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>Mar 12</span></p>
                    </div>
                   
      
                </div>
                <div class="row">
                        <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>ASSET TYPE<span>Mouse</span></p>
                            </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Lenovo Y530</span></p>
      
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>8gb RAM, 1tb hd...</span></p>
                    </div>
                    
      
                </div>
                <div class="row">
                        <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>STATUS<span>Closed</span></p>
                            </div>
                            <div class="col-md-4 col-sm-12 col-xs-12">
                                    <p>APPROVAL<span>Pending</span></p>
                                </div>
                  
                </div>

                
            </div>
    </div>

    <div id="cancelRequestNo2" class="modal userReviewspopup">

            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Attendance Details</span>
            </div>
      
            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>
      
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST BY<span>Sachin Shah</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST DATE<span>Mar 12</span></p>
                    </div>
                   
      
                </div>
                <div class="row">
                        <div class="col-md-4 col-sm-12 col-xs-12">
                                <p>ASSET TYPE<span>Mouse</span></p>
                            </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span>Lenovo Y530</span></p>
      
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span>8gb RAM, 1tb hd...</span></p>
                    </div>
                    
      
                </div>
                <div class="row">
                        <div class="col-md-8 col-sm-12 col-xs-12">
                                <p>REASON<span>Need one for graphic design</span></p>
                            </div>
                            
                  
                </div>

                
            </div>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.tablesorter/2.28.14/js/jquery.tablesorter.min.js">
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
    <script src="../dist/js/sidebar.js"></script>
    <script src="../dist/js/topbar.js"></script>
    <script src="../dist/js/octane.js"></script>
   <script>
	// Start multiple select / deselect functionality
	$("#selectall").click(function () {
		$('.case').prop('checked', this.checked);
		let checkboxLen = $('.case:checked').length;
		if (checkboxLen >= 1) {
			$('#approve,#reject').removeAttr('disabled');
		}
		if (checkboxLen == 0) {
			$('#approve,#reject').attr('disabled', 'disabled');
		}
	});
	// if all checkbox are selected, check the selectall checkbox  also        
$(".case").click(function () {
    let checkboxLen = $('.case:checked').length;
    if ($(".case").length == checkboxLen) {

        $("#selectall").prop("checked", true);
    } else {

        $("#selectall").prop("checked", false);
    }
});

function onCheck() {
    let checkboxLen = $('.case:checked').length;

    if (checkboxLen == 0) {
        $('#approve,#reject').attr('disabled', 'disabled');

    }
    if (checkboxLen == 1) {
        $('#approve,#reject').removeAttr('disabled');
    }

}
	</script>
</body>

</html>